package org.springblade.customer.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.customer.dto.FctCsRecordsDTO;
import org.springblade.customer.entity.FctCsRecords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 * 客服投诉记录表 Mapper 接口
 * </p>
 *
 * @author zbc
 * @since 2021-08-19
 */
public interface FctCsRecordsMapper extends BaseMapper<FctCsRecords> {

    boolean insertBatch(List<FctCsRecordsDTO> excelList);

    void setThedayByAcceptTime();

	void setSpcode();

	void setServiceType31();

	void setServiceType32();

	void setSpidByThisMonth(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void setOtherSpidByThisMonth(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void setShortName(@Param("sTime") String sTime, @Param("eTime") String eTime);

	void setShopName(@Param("sTime") String sTime, @Param("eTime") String eTime);

	boolean removeThisMonthData(@Param("month") String month);

	void callData(@Param("sTime") String sTime);

}
